For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
AI Hub
OverviewApp editorFlow editorAdminAPI & SDK
OverviewApp editorFlow editorAdminAPI & SDK
  • Overview
    • Using the API and SDK
    • Authorization
    • Response statuses
  • API & SDK guides
    • Run automation apps by SDK
  • API reference
      • POSTRun deployment
      • POSTRun app
      • GETGet run status
      • GETGet run results
      • GETList runs
      • DELDelete run
      • Specifying file paths
  • Legacy APIs
    • Job status
    • Run apps
    • Run results
    • Mount
AI Hub
API referenceRuns

Delete run

DELETE
https://aihub.instabase.com/api/v2/apps/runs/:run_id
DELETE
/api/v2/apps/runs/:run_id
$curl -X DELETE "${API_ROOT}/v2/apps/runs/<RUN-ID>" \
> -H "Authorization: Bearer ${API_TOKEN}" \
> -H "IB-Context: ${IB_CONTEXT}"
202Accepted
1{
2 "delete_input_dir_job_id": "job-9f8e7d6c5b4a3e2f1d0c",
3 "delete_output_dir_job_id": "job-1a2b3c4d5e6f7g8h9i0j",
4 "delete_log_dir_job_id": "job-0f9e8d7c6b5a4e3d2c1b"
5}
Deletes a specified automation app run and optionally its associated database data, input files, output files, and logs. This is an asynchronous operation that must be [checked for completion](/api-sdk/api-reference/jobs/job-status). <Warning>Deleting the run's input files also deletes the batch that the run processed.</Warning>
Was this page helpful?
Previous

Specifying file paths

Next
Built with

Deletes a specified automation app run and optionally its associated database data, input files, output files, and logs. This is an asynchronous operation that must be checked for completion.

Deleting the run’s input files also deletes the batch that the run processed.

Authentication

AuthorizationBearer
Bearer HTTP authentication.

Path parameters

run_idstringRequired
The run ID.

Headers

IB-ContextstringOptional

Typically your organization ID. See Authorization and context identification for details.

Query parameters

delete_db_databooleanOptionalDefaults to true
Delete the run's database data.
delete_inputbooleanOptionalDefaults to true
Delete the run's input files.
delete_outputbooleanOptionalDefaults to true
Delete the run's output files.
delete_logsbooleanOptionalDefaults to true
Delete the run's logs.

Response

Run deleted successfully.
delete_input_dir_job_idstring or null
Job ID for deleting the input directory.
delete_output_dir_job_idstring or null
Job ID for deleting the output directory.
delete_log_dir_job_idstring or null
Job ID for deleting the log directory.